<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Licensed to the Apache Software Foundation (ASF) under one or more
  ~ contributor license agreements.  See the NOTICE file distributed with
  ~ this work for additional information regarding copyright ownership.
  ~ The ASF licenses this file to You under the Apache License, Version 2.0
  ~ (the "License"); you may not use this file except in compliance with
  ~ the License.  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  ~
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.apache.streampipes</groupId>
    <artifactId>streampipes-elg-extensions</artifactId>
    <version>0.69.0-SNAPSHOT</version>

    <properties>
        <streampipes.version>0.69.0-SNAPSHOT</streampipes.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-commons</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-wrapper-standalone</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-sdk</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-container-standalone</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-config</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-dataformat-json</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-dataformat-cbor</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-dataformat-smile</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-dataformat-fst</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-messaging-jms</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-messaging-kafka</artifactId>
            <version>${streampipes.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.streampipes</groupId>
            <artifactId>streampipes-messaging-mqtt</artifactId>
            <version>${streampipes.version}</version>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
            <version>5.3.9</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.4.1</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                        <configuration>
                            <mainClass>org.apache.streampipes.elg.ELGExtensionsInit</mainClass>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <encoding>UTF-8</encoding>
                </configuration>
            </plugin>
        </plugins>
        <finalName>streampipes-elg-extensions</finalName>
    </build>

    <repositories>
        <repository>
            <id>apache.snapshots</id>
            <name>Apache Snapshot Repository</name>
            <url>https://repository.apache.org/snapshots</url>
            <releases>
                <enabled>false</enabled>
            </releases>
        </repository>
    </repositories>
</project>
